#include "testMenu.h"

TestMenu::TestMenu() {}

TestMenu::~TestMenu() {}

void TestMenu::run() {
    
    std::cout << "Your number is: " << num << "\n"
              << "1. Add 1\n"
              << "2. Subtract 1\n"
              << "3. Quit\n\n";

    std::cin >> choice;

    switch(choice) {
        case 1:
            num++;
            break;
        case 2:
            num--;
            break;
        case 3:
            App::Get().end();
            break;
        default:
            break;
    }
}
